# Uses of Interface
ch.qos.logback.access.spi.IAccessEvent

Packages that use IAccessEvent
Package
Description
ch.qos.logback.access
This is logback access' main package.
ch.qos.logback.access.boolex
ch.qos.logback.access.html
Contains classes to format log output in HTML.
ch.qos.logback.access.jetty
This is logback access' implementation for Jetty 8.
ch.qos.logback.access.net
ch.qos.logback.access.net.server
Provides a robust appender that serves logging events to remote clients
ch.qos.logback.access.pattern
Provides classes implementing format specifiers in conversion patterns.
ch.qos.logback.access.sift
ch.qos.logback.access.spi
Contains the core classes of logback access.
ch.qos.logback.access.tomcat
This is logback access' implementation for Tomcat.

## Uses of IAccessEvent in ch.qos.logback.access

Methods in ch.qos.logback.access with parameters of type IAccessEvent
Modifier and Type
Method
Description
`String`
PatternLayout.`doLayout(IAccessEvent event)`

## Uses of IAccessEvent in ch.qos.logback.access.boolex

Methods in ch.qos.logback.access.boolex with parameters of type IAccessEvent
Modifier and Type
Method
Description
`protected Object[]`
JaninoEventEvaluator.`getParameterValues(IAccessEvent accessEvent)`

## Uses of IAccessEvent in ch.qos.logback.access.html

Methods in ch.qos.logback.access.html with parameters of type IAccessEvent
Modifier and Type
Method
Description
`String`
HTMLLayout.`doLayout(IAccessEvent event)`

## Uses of IAccessEvent in ch.qos.logback.access.jetty

Methods in ch.qos.logback.access.jetty that return types with arguments of type IAccessEvent
Modifier and Type
Method
Description
`Appender<IAccessEvent>`
RequestLogImpl.`getAppender(String name)`
`List<Filter<IAccessEvent>>`
RequestLogImpl.`getCopyOfAttachedFiltersList()`
`Iterator<Appender<IAccessEvent>>`
RequestLogImpl.`iteratorForAppenders()`
Methods in ch.qos.logback.access.jetty with parameters of type IAccessEvent
Modifier and Type
Method
Description
`FilterReply`
RequestLogImpl.`getFilterChainDecision(IAccessEvent event)`
Method parameters in ch.qos.logback.access.jetty with type arguments of type IAccessEvent
Modifier and Type
Method
Description
`void`
RequestLogImpl.`addAppender(Appender<IAccessEvent> newAppender)`
`void`
RequestLogImpl.`addFilter(Filter<IAccessEvent> newFilter)`
`boolean`
RequestLogImpl.`detachAppender(Appender<IAccessEvent> appender)`
`boolean`
RequestLogImpl.`isAttached(Appender<IAccessEvent> appender)`

## Uses of IAccessEvent in ch.qos.logback.access.net

Methods in ch.qos.logback.access.net that return types with arguments of type IAccessEvent
Modifier and Type
Method
Description
`PreSerializationTransformer<IAccessEvent>`
SocketAppender.`getPST()`
`PreSerializationTransformer<IAccessEvent>`
SSLSocketAppender.`getPST()`
`protected Layout<IAccessEvent>`
SMTPAppender.`makeSubjectLayout(String subjectStr)`
Methods in ch.qos.logback.access.net with parameters of type IAccessEvent
Modifier and Type
Method
Description
`protected boolean`
SMTPAppender.`eventMarksEndOfLife(IAccessEvent eventObject)`
`protected void`
SocketAppender.`postProcessEvent(IAccessEvent event)`
`protected void`
SSLSocketAppender.`postProcessEvent(IAccessEvent event)`
`protected void`
SMTPAppender.`subAppend(CyclicBuffer<IAccessEvent> cb, IAccessEvent event)`
Perform SMTPAppender specific appending actions, mainly adding the event to the appropriate cyclic buffer.
`Serializable`
AccessEventPreSerializationTransformer.`transform(IAccessEvent event)`
Method parameters in ch.qos.logback.access.net with type arguments of type IAccessEvent
Modifier and Type
Method
Description
`protected void`
SMTPAppender.`fillBuffer(CyclicBuffer<IAccessEvent> cb, StringBuffer sbuf)`
`protected void`
SMTPAppender.`subAppend(CyclicBuffer<IAccessEvent> cb, IAccessEvent event)`
Perform SMTPAppender specific appending actions, mainly adding the event to the appropriate cyclic buffer.
Constructor parameters in ch.qos.logback.access.net with type arguments of type IAccessEvent
Modifier
Constructor
Description
``
`SMTPAppender(EventEvaluator<IAccessEvent> evaluator)`
Use `evaluator` passed as parameter as the `EventEvaluator` for this SMTPAppender.

## Uses of IAccessEvent in ch.qos.logback.access.net.server

Methods in ch.qos.logback.access.net.server that return types with arguments of type IAccessEvent
Modifier and Type
Method
Description
`protected PreSerializationTransformer<IAccessEvent>`
ServerSocketAppender.`getPST()`
`protected PreSerializationTransformer<IAccessEvent>`
SSLServerSocketAppender.`getPST()`
Methods in ch.qos.logback.access.net.server with parameters of type IAccessEvent
Modifier and Type
Method
Description
`protected void`
ServerSocketAppender.`postProcessEvent(IAccessEvent event)`
`protected void`
SSLServerSocketAppender.`postProcessEvent(IAccessEvent event)`

## Uses of IAccessEvent in ch.qos.logback.access.pattern

Methods in ch.qos.logback.access.pattern with parameters of type IAccessEvent
Modifier and Type
Method
Description
`String`
ContentLengthConverter.`convert(IAccessEvent accessEvent)`
`String`
DateConverter.`convert(IAccessEvent accessEvent)`
`String`
ElapsedSecondsConverter.`convert(IAccessEvent accessEvent)`
`String`
ElapsedTimeConverter.`convert(IAccessEvent accessEvent)`
`String`
FullRequestConverter.`convert(IAccessEvent ae)`
`String`
FullResponseConverter.`convert(IAccessEvent ae)`
`String`
LineSeparatorConverter.`convert(IAccessEvent event)`
`String`
LocalIPAddressConverter.`convert(IAccessEvent accessEvent)`
`String`
LocalPortConverter.`convert(IAccessEvent accessEvent)`
`String`
NAConverter.`convert(IAccessEvent accessEvent)`
`String`
QueryStringConverter.`convert(IAccessEvent accessEvent)`
`String`
RemoteHostConverter.`convert(IAccessEvent accessEvent)`
`String`
RemoteIPAddressConverter.`convert(IAccessEvent accessEvent)`
`String`
RemoteUserConverter.`convert(IAccessEvent accessEvent)`
`String`
RequestAttributeConverter.`convert(IAccessEvent accessEvent)`
`String`
RequestContentConverter.`convert(IAccessEvent accessEvent)`
`String`
RequestCookieConverter.`convert(IAccessEvent accessEvent)`
`String`
RequestHeaderConverter.`convert(IAccessEvent accessEvent)`
`String`
RequestMethodConverter.`convert(IAccessEvent accessEvent)`
`String`
RequestParameterConverter.`convert(IAccessEvent accessEvent)`
`String`
RequestProtocolConverter.`convert(IAccessEvent accessEvent)`
`String`
RequestURIConverter.`convert(IAccessEvent accessEvent)`
`String`
RequestURLConverter.`convert(IAccessEvent accessEvent)`
`String`
ResponseContentConverter.`convert(IAccessEvent accessEvent)`
`String`
ResponseHeaderConverter.`convert(IAccessEvent accessEvent)`
`String`
ServerNameConverter.`convert(IAccessEvent accessEvent)`
`String`
SessionIDConverter.`convert(IAccessEvent accessEvent)`
`String`
StatusCodeConverter.`convert(IAccessEvent accessEvent)`
`String`
ThreadNameConverter.`convert(IAccessEvent accessEvent)`
Method parameters in ch.qos.logback.access.pattern with type arguments of type IAccessEvent
Modifier and Type
Method
Description
`void`
EnsureLineSeparation.`process(Context context, Converter<IAccessEvent> head)`
Add a line separator converter so that access event appears on a separate line.

## Uses of IAccessEvent in ch.qos.logback.access.sift

Methods in ch.qos.logback.access.sift that return types with arguments of type IAccessEvent
Modifier and Type
Method
Description
`Appender<IAccessEvent>`
SiftingJoranConfigurator.`getAppender()`
`SiftingJoranConfiguratorBase<IAccessEvent>`
AppenderFactoryUsingJoran.`getSiftingJoranConfigurator(String keyValue)`
Methods in ch.qos.logback.access.sift with parameters of type IAccessEvent
Modifier and Type
Method
Description
`protected boolean`
SiftingAppender.`eventMarksEndOfLife(IAccessEvent event)`
`String`
AccessEventDiscriminator.`getDiscriminatingValue(IAccessEvent acccessEvent)`
`String`
AccessEventDiscriminator.`getRawDiscriminatingValue(IAccessEvent acccessEvent)`
`protected long`
SiftingAppender.`getTimestamp(IAccessEvent event)`
Method parameters in ch.qos.logback.access.sift with type arguments of type IAccessEvent
Modifier and Type
Method
Description
`void`
SiftingAppender.`setDiscriminator(Discriminator<IAccessEvent> discriminator)`

## Uses of IAccessEvent in ch.qos.logback.access.spi

Classes in ch.qos.logback.access.spi that implement IAccessEvent
Modifier and Type
Class
Description
`class`
`AccessEvent`
The Access module's internal representation of logging events.
Methods in ch.qos.logback.access.spi that return types with arguments of type IAccessEvent
Modifier and Type
Method
Description
`Appender<IAccessEvent>`
AccessContext.`getAppender(String name)`
`List<Filter<IAccessEvent>>`
AccessContext.`getCopyOfAttachedFiltersList()`
`Iterator<Appender<IAccessEvent>>`
AccessContext.`iteratorForAppenders()`
Methods in ch.qos.logback.access.spi with parameters of type IAccessEvent
Modifier and Type
Method
Description
`void`
AccessContext.`callAppenders(IAccessEvent event)`
`FilterReply`
AccessContext.`getFilterChainDecision(IAccessEvent event)`
Method parameters in ch.qos.logback.access.spi with type arguments of type IAccessEvent
Modifier and Type
Method
Description
`void`
AccessContext.`addAppender(Appender<IAccessEvent> newAppender)`
`void`
AccessContext.`addFilter(Filter<IAccessEvent> newFilter)`
`boolean`
AccessContext.`detachAppender(Appender<IAccessEvent> appender)`
`boolean`
AccessContext.`isAttached(Appender<IAccessEvent> appender)`

## Uses of IAccessEvent in ch.qos.logback.access.tomcat

Methods in ch.qos.logback.access.tomcat that return types with arguments of type IAccessEvent
Modifier and Type
Method
Description
`Appender<IAccessEvent>`
LogbackValve.`getAppender(String name)`
`List<Filter<IAccessEvent>>`
LogbackValve.`getCopyOfAttachedFiltersList()`
`Iterator<Appender<IAccessEvent>>`
LogbackValve.`iteratorForAppenders()`
Methods in ch.qos.logback.access.tomcat with parameters of type IAccessEvent
Modifier and Type
Method
Description
`FilterReply`
LogbackValve.`getFilterChainDecision(IAccessEvent event)`
Method parameters in ch.qos.logback.access.tomcat with type arguments of type IAccessEvent
Modifier and Type
Method
Description
`void`
LogbackValve.`addAppender(Appender<IAccessEvent> newAppender)`
`void`
LogbackValve.`addFilter(Filter<IAccessEvent> newFilter)`
`boolean`
LogbackValve.`detachAppender(Appender<IAccessEvent> appender)`
`boolean`
LogbackValve.`isAttached(Appender<IAccessEvent> appender)`